No image on kernel 2.6.29

Help
Infinity
2009-05-18
2013-04-03
  • Infinity
    Infinity
    2009-05-18

    The driver compiles but I don't get eny image with cheese ; the LED of my webcam doesn't even blink.
    It used to work with an older kernel but currently, it doesn't work with Debian Unstable (2.6.29)

    I read in the README that the max. kernel version was 2.6.28 ; how could I help getting it to work on 2.6.29 ?

    Thanks for your work !

     
    • nol
      nol
      2009-05-21

      The driver was known to compile with 2.6.28 but because of changes in kernel functions used by the driver, it is not sure that it compiles with higher kernel. Presently it compiles with up to 2.6.30.

      Have you tried the driver after a reboot of your laptop? It seems that there is an issue with the driver because I changed the name of several functions (weird conflict between old and new names).

       
    • nol
      nol
      2009-05-22

      Maybe could you test the version for the gspca framework (https://sourceforge.net/project/downloading.php?group_id=229562&filename=gspca_gl860_2.6.30a.tgz)
      Untar the tarball and ./install to install.
      Must be tested with v4l2 applications or using preload for v4l1:
      for example "LD_PRELOAD=/usr/local/lib/libv4l/v4l1compat.so camorama" to launch Camorama